# only a deploy stage
stages:
  - deploy

nixos:
  stage: deploy
  variables:
    PACKAGE_NAME: "skynet_website_renew"
    UPDATE_FLAKE: "yes"
  trigger: compsoc1/skynet/nixos
  only:
    refs:
      - main
    changes:
      - flake.nix
      - flake.lock
      - src/**/*
